/*
 * VGfundecl.h
 * VG routine declarations
 *
 */

#ifndef VGFUNDECL_H
#define VGFUNDECL_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "dvstd.h"
#include "VOstd.h"
#include "std.h"
#include "dvtypes.h"

/***
*** 
***/


/* VG/VGdgNDCvp.c */
void VGdgNDCvp V_P_((ADDRESS dgp,  FLOAT_POINT *ll,
	 FLOAT_POINT *ur));

/* VG/VGdgaxlabl.c */
char *VGdgaxlabel V_P_((ADDRESS dgp,  int axis_type));

/* VG/VGdgcolor.c */
void VGdgbkcolor V_P_((ADDRESS dgp,  COLOR_SPEC *color));
void VGdgfrcolor V_P_((ADDRESS dgp,  COLOR_SPEC *color));

/* VG/VGdgcontxt.c */
LONG VGdgcontext V_P_((ADDRESS dgp,  LONG mask));

/* VG/VGdgdevice.c */
int VGdgdevice V_P_((ADDRESS dgp));

/* VG/VGdgdf.c */
ADDRESS VGdgdf V_P_((ADDRESS dgp));

/* VG/VGdgdfargs.c */
void VGdgdfargs V_P_((ADDRESS dgp,
	 NAME_VALUE_PAIR **dfargarray,  int *arraysize));
char *VGdgdfarg_value V_P_((ADDRESS dgp, char *name));

/* VG/VGdgdfbfr.c */
ADDRESS VGdgdfbuffer V_P_((ADDRESS dgp));
int VGdgdfbuffernum V_P_((ADDRESS dgp));

/* VG/VGdgdfdata.c */
ADDRESS VGdgdfdata V_P_((ADDRESS dgp));

/* VG/VGdgdfstat.c */
LONG VGdgdfstatus V_P_((ADDRESS dgp,  LONG mask));

/* VG/VGdgget.c */
ADDRESS VGdgget V_P_((int index));

/* VG/VGdggrdatr.c */
void VGdggrid_attr V_P_((ADDRESS dgp,  COLOR_SPEC *color,
	 int *linetype,  int *linewidth));

/* VG/vgdginfo.c */
VI BOOLPARAM
VGdgvainfo V_P_((DATAGROUP dgp, va_list ap));

BOOLPARAM
VGdginfo V_P_((DATAGROUP dgp, ...));

VI BOOLPARAM 
VGvdvainfo V_P_((VARDESC dgp, va_list ap));

BOOLPARAM
VGvdinfo V_P_((VARDESC dgp, ...));

/* VG/VGdgscrnvp.c */
void VGdgscreenvp V_P_((ADDRESS dgp, RECTANGLE *dgscvp));

/* VG/VGdgscroll.c */
int VGdgscroll_amount V_P_((ADDRESS dgp));

/* VG/VGdgslots.c */
int VGdgslots V_P_((ADDRESS dgp));

/* VG/VGdgticlab.c */
DV_TICLABELFUNPTR VGdgticlabfcn V_P_((ADDRESS dgp,  int axis_type));

/* VG/VGdgtitle.c */
char *VGdgtitle V_P_((ADDRESS dgp));

/* VG/VGdgtmstrt.c */
void VGdgtime_start_incr V_P_((ADDRESS dgp,  float *start,
	 float *increment));

/* VG/VGdgvp.c */
void VGdgvp V_P_((ADDRESS dgp, RECTANGLE *dgvp));

/* VG/VGvarvalue.c */
int VGvdValue V_P_((ADDRESS vdp, int i, int j, int k));
int VGvdNextValue V_P_((ADDRESS vdp));
double VGvdLastValue V_P_((ADDRESS vdp));
double VGvdDValue V_P_((ADDRESS vdp, int i, int j, int k));
int VGvarValue V_P_((VGLONGACCESSFUNPTR accessfun,
		     ADDRESS args,  int i,  int j,
	 int k));
int VGvarNextValue V_P_((VGLONGACCESSFUNPTR accessfun,  ADDRESS args));
double VGvarLastValue V_P_((VGDOUBLEACCESSFUNPTR accessfun,  ADDRESS args));

/* VG/VGvdaccess.c */
void VGvdaccess V_P_((ADDRESS vdp,  VGADDRACCESSFUNPTR *fcnp,
		      ADDRESS *argp));

/* VG/VGvdaccmod.c */
BOOLPARAM VGvddirect_access V_P_((ADDRESS vdp));
int VGvd_accmode V_P_((ADDRESS vdp));

/* VG/VGvdbase.c */
ADDRESS VGvdbase V_P_((ADDRESS vdp));

/* VG/VGvdcolor.c */
void VGvdctt V_P_((ADDRESS vdp,  int *num_colors,
	 COLOR_THRESHOLD **ctp));

/* VG/VGvddim.c */
void VGvddim V_P_((ADDRESS vdp,  int *dim3,  int *dim2,
	 int *dim1));

/* VG/VGvdget.c */
ADDRESS VGdgvd V_P_((ADDRESS dgp, int index));
ADDRESS VGvdget V_P_((ADDRESS dgp, int index));

/* VG/VGvdline.c */
void VGvdlwidth V_P_((ADDRESS vdp, int *width));
void VGvdltype V_P_((ADDRESS vdp, int *type));

/* VG/VGvdlog.c */
int VGvdlog V_P_((ADDRESS vdp));

/* VG/VGvdrange.c */
void VGvd_irange V_P_((ADDRESS vdp,  LONG *low,
	 LONG *high));
void VGvd_drange V_P_((ADDRESS vdp,  double *low,
	 double *high));

/* VG/VGvdrefcnt.c */
int VGvdrefcount V_P_((ADDRESS vdp));

/* VG/VGvdsymbol.c */
int VGvdsymbol V_P_((ADDRESS vdp));

/* VG/VGvdticlab.c */
void VGvdticlabfcn V_P_((ADDRESS vdp, DV_TICLABELFUNPTR *fun,
	 ADDRESS *argp));

/* VG/VGvdtype.c */
int VGvdtype V_P_((ADDRESS vdp));

/* VG/VGvdvarnam.c */
char *VGvdvarname V_P_((ADDRESS vdp));

/* VG/VGvdvlabel.c */
char *VGvdvallabel V_P_((ADDRESS vdp));


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* VGFUNDECL_H */
